# class DBus::IntrospectXMLParser::AbstractXML::Node

### Public Class Methods

new(node) click to toggle source

       # File lib/dbus/xml.rb
    38 def initialize(node)
    39   @node = node
    40 end

### Public Instance Methods

[](key) click to toggle source

required methods returns node attribute value

       # File lib/dbus/xml.rb
    44 def [](key); end

each(xpath) click to toggle source

yields child nodes which match xpath of type `AbstractXML::Node`

       # File lib/dbus/xml.rb
    47 def each(xpath); end